## emerald hws-0.0.23

=== requirements.txt ===
# Dependencies are now managed in pyproject.toml
# Install with: pip install -e .
# For development: pip install -e ".[dev]"
#
# This file is kept for compatibility but pyproject.toml is the source of truth
boto3>=1.40.0,<2.0.0
awsiotsdk>=1.24.0,<2.0.0
requests>=2.25.0

## emerald 0.8.8

=== debian/changelog ===
emerald (0.8.8-1~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:17:10 -0500

emerald (0.8.8-1) unstable; urgency=low

  * Build for LMDE/Debian Testing
  * Synchronize with ubuntu patches from 0.8.8-0ubuntu1 oneiric.
  * Add 001-mate-emerald.patch
  * Add symbols control file. generate with:
    dpkg-gensymbols -plibemeraldengine0 -Pdebian/libemeraldengine0 | patch -p0
    perl -pi -e 's/-\d.*//' new_symbol_file
    mv new_symbol_file debian/libemeraldengine0.symbols

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Fri, 12 Oct 2012 11:02:17 +0200

=== debian/control ===
Source: emerald
Section: x11
Priority: optional
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, intltool,
 compiz-dev (>= 0.8.8), libgtk2.0-dev,
 libpango1.0-dev, libwnck-dev, libxml-parser-perl, 
 libdecoration0-dev,
 hardening-wrapper,
Standards-Version: 3.9.3

Package: emerald
Architecture: any
Depends: compiz-plugins, libdecoration0, ${shlibs:Depends}, ${misc:Depends}
Conflicts: gcompizthemer, cgwd
Replaces: gcompizthemer, cgwd
Provides: gcompizthemer, cgwd
Recommends: emerald-themes
Description: Decorator for compiz-fusion
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides a decorator for compiz-fusion and a themer application.

Package: libemeraldengine0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decoration engines for compiz-fusion
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides some engines for drawing decoration on compiz-fusion.

Package: libemeraldengine-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libemeraldengine0 (=${binary:Version})
Description: Development files for emerald engines
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package contains the headers and development files needed to
 build engines for emerald.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install -a
	@ # Remove dependency_libs from .la files
	@ # See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval
	find $(CURDIR)/debian/tmp/usr/lib -type f -name '*.la' | xargs \
		sed -i "/dependency_libs/ s/'.*'/''/"

## emerald 0.8.14

=== debian/changelog ===
emerald (1:0.8.14-0mx15+2) mx; urgency=medium

  * Make emerald themes a hard dependency to make it simpler for beginners.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 23 Jun 2017 12:58:26 -0700

emerald (1:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.
    - Updated french translation
    - Fix wrong border extents
    - Updated catalan translation
    - Fix oversized buttons
    - Fix crash when special characters are displayed in titlebar
    - Fix various gtk/gdk problems
    - Respect GTK+ double-click speed

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2017 11:58:53 -0700

emerald (1:0.8.12.4-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add epoch to upgrade over older version in our repo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Mar 2017 12:35:53 -0700

emerald (0.8.12.4-0~jessie1) jessie; urgency=low

  * New upstream release.
  
 -- Jof Thibaut <compiz@tuxfamily.org>  Tue, 05 Apr 2016 11:18:44 +0200

emerald (0.8.12.3-0~jessie1) jessie; urgency=low

  * New upstream release.
  
 -- Jof Thibaut <compiz@tuxfamily.org>  Thu, 17 Mar 2016 21:01:08 +0100

emerald (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Disable static build.
  * Remove unneeded .la files.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Fix typo in emerald.sharedmimeinfo.
  * Build with GTK2 again for more compat.
  * Drop all old debian/patches, applied upstream or unneeded.
  
 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 26 Feb 2016 17:25:24 +0100

emerald (0.8.8-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #442479)
    - Fixes segfault on start. (LP: #733393)
  * Migrate to 3.0 (quilt) source format.
  * Bump to debhelper 7 (no CDBS) and Standards-Version 3.9.3.
  * Bump compiz-dev dependency.
  * Use dh-autoreconf, build-depend on intltool.
  * Expand extended descriptions in debian/control.
  * Remove 01_upstream_pixmap-crashes-window-switcher.patch, applied upstream.
  * Refresh 02_improve_desktop_file.patch.
  * Remove 03_oldgtk.patch, applied upstream.
  * Add 06_adjust_to_new_compiz.patch, by David Foerster <malteworld@web.de>:
    port to the new compiz API.
  * Add 07_potfiles_skip.patch: ignore .pc for autoreconf.
  
 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 04 Jun 2011 13:58:53 +0700

emerald (0.7.2-0ubuntu6) maverick; urgency=low

  * debian/patches/05_build_without_gtk_disable_deprecated.patch:
    Build also without GDK_DISABLE_DEPRECATED.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 28 Sep 2010 14:47:43 +0200

emerald (0.7.2-0ubuntu5) maverick; urgency=low

  * Fixing FTBFS
    + debian/control: 
      - removed libglitz-dev from b-d

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 27 Sep 2010 10:43:17 +0000

emerald (0.7.2-0ubuntu4) lucid; urgency=low

  * Build without GTK_DISABLE_DEPRECATED being defined to fix FTBFS. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 24 Apr 2010 15:45:01 +0200

emerald (0.7.2-0ubuntu3) lucid; urgency=low

  * 03_oldgtk.patch: replace deprecated GTK_OBJECT_TYPE_NAME() with 
    G_OBJECT_TYPE_NAME() to fix FTBFS.
  * Bump Standards-Version to 3.8.4.
  * debian/control: fix typo in Vcs-Browser field.
  * Add ${misc:Depends} to Depends.
  * 04_manpage.patch: fix manpage errors.
  * Add "set -e" to maintainer scripts.

 -- Ilya Barygin <barygin@gmail.com>  Thu, 18 Feb 2010 23:21:43 +0300

emerald (0.7.2-0ubuntu2) hardy; urgency=low

  * debian/patches/01_upstream_pixmap-crashes-window-switcher.patch: patch
    from upstream to workaround unrefd pixmap and extend pixmap sanity checks
    to honor ref_count (LP: #139877)

 -- Kjell Braden <fnord@pentabarf.de>  Sat, 15 Mar 2008 12:06:21 +0100

emerald (0.7.2-0ubuntu1) hardy; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 15:57:50 +0100

emerald (0.5.2+git20080205-0ubuntu2) hardy; urgency=low

  * tighten build-depends to fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Feb 2008 11:26:35 +0100

emerald (0.5.2+git20080205-0ubuntu1) hardy; urgency=low

  * new git snpashot required for the new decoration atom
    name changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Feb 2008 09:48:36 +0100

emerald (0.5.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/control:
     - Modify Maintainer value to match the DebianMaintainerField
       specification.
     - Bump standards to version 3.7.3.
     - Add Vcs-Bzr and Vcs-Browse tags.
  * Formatting changes to debian/copyright.
  * Add patches/improve_desktop_file.patch:
     - Update .desktop file to the current FD.o standards
     - Add Catalan, German (thanks to Ralph Janke) and Spanish translations.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sat, 02 Feb 2008 14:01:59 +0100

emerald (0.3~git20070717-0ubuntu1) gutsy; urgency=low

  * new git snapshot, moved packaging to bzr

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Jul 2007 10:10:12 +0100

emerald (0.2.1-0ubuntu1) feisty; urgency=low

  * Initial debianisation for Ubuntu based on ubuntu.beryl-project.org

 -- Nicholas Thomas <lupine@beryl-project.org>  Sat, 17 Mar 2007 21:20:46 +0000

=== debian/control ===
Source: emerald
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: debhelper (>= 9),
               compiz-dev (>= 0.8.14~0),
               intltool,
               libdecoration0-dev (>= 0.8.14~0),
               libgtk2.0-dev,
               libwnck-dev,
               libpango1.0-dev,
               libxml-parser-perl
Standards-Version: 3.9.6
Homepage: https://github.com/compiz-reloaded/emerald

Package: emerald
Architecture: any
Depends: compiz-plugins,
         libdecoration0,
         emerald-themes,
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gcompizthemer, cgwd
Replaces: gcompizthemer, cgwd
Provides: gcompizthemer, cgwd
Description: window decorator for compiz-fusion
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides a decorator for compiz-fusion and a themer application.

Package: libemeraldengine0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Decoration engines for compiz-fusion
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides some engines for drawing decoration on compiz-fusion.

Package: libemeraldengine-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libemeraldengine0 (=${binary:Version})
Description: Development files for emerald engines
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package contains the headers and development files needed to
 build engines for emerald.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	--libdir=/usr/lib \
	--disable-mime-update \
	--disable-static \
	--with-gtk=2.0

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install --fail-missing

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/emerald-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/emerald/tags .*/release-?(\d\S*)\.tar\.gz

## emerald 0.8.16

=== debian/changelog ===
emerald (0.8.16-3) unstable; urgency=medium

  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:49:26 +0100

emerald (0.8.16-2) unstable; urgency=medium

  * copyright: Fix copyright holders (Closes: Bug#917231).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Dec 2018 12:46:15 +0100

emerald (0.8.16-1) unstable; urgency=medium

  * Upload to Debian (Closes: Bug#916848).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Dec 2018 17:33:21 +0100

emerald (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Switch build on GTK3.
  * Bump standards to version 3.9.8.
  
 -- Jof Thibaut <compiz@tuxfamily.org>  Sun, 25 Jun 2017 14:56:13 +0200

=== debian/control ===
Source: emerald
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9),
               compiz-dev (>= 0.8.14~0),
               dh-autoreconf,
               intltool,
               libdecoration0-dev (>= 0.8.14~0),
               libgtk-3-dev,
               libwnck-3-dev,
               libpango1.0-dev,
               libxml-parser-perl
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/emerald
Vcs-Git: https://salsa.debian.org/compiz-team/emerald.git
Vcs-Browser: https://salsa.debian.org/compiz-team/emerald

Package: emerald
Architecture: any
Depends: compiz-plugins,
         libdecoration0,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: emerald-themes
Description: Decorator for compiz
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides a decorator for compiz and a themer application.

Package: libemeraldengine0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Decoration engines for compiz
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package provides some engines for drawing decoration on compiz.

Package: libemeraldengine-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libemeraldengine0 (=${binary:Version})
Description: Development files for emerald engines
 Emerald is a window decorator for the Compiz window manager, using a custom
 theme format (*.emerald). It is highly customizable and supports different
 theme engines, with transparency and precise placement of borders and window
 title elements.
 .
 This package contains the headers and development files needed to
 build engines for emerald.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- \
	--libdir=/usr/lib \
	--disable-mime-update \
	--disable-static \
	--with-gtk=3.0

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install --fail-missing

	mkdir debian/libemeraldengine-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libemeraldengine-dev/usr/lib/pkgconfig debian/libemeraldengine-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/emerald-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/emerald/tags .*/v?(\d\S*)\.tar\.gz

## emerald 0.8.18

=== debian/changelog ===
emerald (0.8.18-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Remove .git from end of gitlab URL in Homepage field
  * control: Make Multi-Arch: foreign.
  * control: Don't make libemeraldengine-dev multi-arch: same.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on compiz-dev and
      libdecoration0-dev.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:03:50 +0100

emerald (0.8.18-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Drop libxml-parser-perl build-dep, not actually needed.
  * patches/decor_version: When cross-building, hardcode that we have at least
    DECOR_INTERFACE_VERSION = 20110504 (not likely to change).

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:43:10 +0200

emerald (0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update upstream URL
  * rules: Drop now-default -Wl,--as-needed option
  * control: Bump Standards-Version to 4.5.0 (no change).
  * watch: Update URL.
  * rules: Re-allow dbgsym packages.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:14:16 +0100

emerald (0.8.18-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libemeraldengine-dev multi-arch: same.
  * watch: Generalize pattern.
  * control: Remove Cyril from uploaders.
  * watch: switch to gitlab

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: x11
 Priority: optional
 Maintainer: Hypra Team <bugs@hypra.fr>
-Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9),
-               compiz-dev (>= 0.8.14~0),
-               dh-autoreconf,
+Uploaders: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               compiz-dev,
                intltool,
-               libdecoration0-dev (>= 0.8.14~0),
+               libdecoration0-dev,
                libgtk-3-dev,
                libwnck-3-dev,
-               libpango1.0-dev,
-               libxml-parser-perl
-Standards-Version: 3.9.8
-Homepage: https://github.com/compiz-reloaded/emerald
+               libpango1.0-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Homepage: https://gitlab.com/compiz/emerald
 Vcs-Git: https://salsa.debian.org/compiz-team/emerald.git
 Vcs-Browser: https://salsa.debian.org/compiz-team/emerald
 
 Package: emerald
 Architecture: any
+Multi-Arch: foreign
 Depends: compiz-plugins,
          libdecoration0,
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- \
	--libdir=/usr/lib \
	--disable-mime-update \
	--disable-static \
	--with-gtk=3.0

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install

	mkdir debian/libemeraldengine-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libemeraldengine-dev/usr/lib/pkgconfig debian/libemeraldengine-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
